Files
List Files
Returns a list of files
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Query Parameters
tag?string
Tag, for example "icon" or "gallery", not included by default.
Length
1 <= lengthuserId?stringDeprecated
UserID, will always generate a 500 permission error.
n?integer
The number of objects to return.
Default
60Range
1 <= value <= 100offset?integer
A zero-based offset from the default object sorting from where search results start.
Range
0 <= valueResponse Body
application/json
curl -X GET "https://api.vrchat.cloud/api/1/files"[
{
"animationStyle": "bats",
"extension": ".unitypackage",
"frames": 2,
"framesOverTime": 1,
"id": "file_ce35d830-e20a-4df0-a6d4-5aaef4508044",
"loopStyle": "linear",
"maskTag": "circle",
"mimeType": "image/jpeg",
"modifiedThumbnailFileName": "thumbnails/file_00000000-0000-0000-0000-000000000000.ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff.1.modified-thumbnail-256.png",
"name": "Example File",
"ownerId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"tags": [
"string"
],
"versions": [
{
"created_at": "2019-08-24T14:15:22Z",
"deleted": true,
"delta": {
"category": "multipart",
"fileName": "string",
"md5": "string",
"sizeInBytes": 0,
"status": "complete",
"uploadId": "",
"url": "string"
},
"file": {
"category": "multipart",
"fileName": "string",
"md5": "string",
"sizeInBytes": 0,
"status": "complete",
"uploadId": "",
"url": "string"
},
"signature": {
"category": "multipart",
"fileName": "string",
"md5": "string",
"sizeInBytes": 0,
"status": "complete",
"uploadId": "",
"url": "string"
},
"status": "complete",
"version": 0
}
]
}
]